/**
 * Coder: Sean
 * Date: 14-7-10
 * Time: 下午1:08
 */
$(function() {
    var imgOffsetX, imgOffsetY, loginImgWidth, loginImgHeight, scale;
    //报错蒙板
    var $mask = $('<div class="fs-login-errmask"/>');
    //用户名
    var $username = $('input.fs-login-username').attr("placeholder", FR.i18nText("FS-Generic-Simple_Username")).attr('title',FR.i18nText("FS-Generic-Simple_Username"));
    //密码
    var $password = $('input.fs-login-password').attr("placeholder", FR.i18nText("FS-Generic-Simple_Password")).attr('title',FR.i18nText("FS-Generic-Simple_Password"));
	
    $('input').focus(function(){
        $(this).parent().addClass('fs-login-input-focus');
        $mask.hide();
    }).blur(function(){
            $(this).parent().removeClass('fs-login-input-focus');
        });
    //是否保持登录状态
    var $keep = $('span.fs-login-remember').text(FR.i18nText("FS-Generic-Privilege_Keep_Login_State")).click(
        function(){
            $(this).toggleClass('fs-login-remember-selected');
        }
    );
 
    // FR.i18nText("FS-Generic-Sign_In")
    //登录按钮
    $('#fs-login-btn').text(FR.i18nText("FS-Generic-Sign_In")).click(
        function(){
            signIN();
        }
    );
    //绑定回车
    $(document).keydown(function(e){
        if(e.keyCode===13){
            signIN();
        }
    });
 

   
    var showErrorMsg = function($pos, msg){
        $mask.hide().insertAfter($pos).text(msg);
        $mask.click(function(){
            $(this).fadeOut();
            $pos.select();
        }).fadeIn();
    };

    var signIN = function(){
        $mask.hide();
        var user = $username.val();
        var pw = $password.val();
        //用户名为空
        if(FR.isEmpty(user)){
            showErrorMsg($username,FR.i18nText('FS-User-User_Can_Not_Be_Null'));
            return;
        }
        //密码为空
        if(FR.isEmpty(pw)){
            showErrorMsg($password,FR.i18nText('FS-Admin-Password_Can_Not_Be_Null'));
            return;
        }
        FR.ajax({
            url : FR.servletURL + '?op=fs_load&cmd=login',
            data : FR.cjkEncodeDO({
                fr_username : encodeURIComponent(user),
                fr_password : encodeURIComponent(pw),
                fr_remember : $keep.hasClass('fs-login-remember-selected')
            }),
            type : 'POST',
            async : false,
            error : function() {
                FR.Msg.toast("Error!");
            },
            complete : function(res, status) {
                if (res.responseText == "") {
                    showErrorMsg($username,FR.i18nText('FS-Admin-Authentication_failed'));
                    return;
                }
                var signResult = FR.jsonDecode(res.responseText);
                if (signResult.fail) {
                    //用户名和密码不匹配
                    showErrorMsg($username,FR.i18nText("FS-Generic-Privilege_Name_Not_Match_Password"));
                } else if (signResult.url) {
                    window.location.href = signResult.url;
                }
            }
        });
    };
  
    $username.focus();

});